*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{
    height: 100vh;
    width: 100vw;
  
}


#bg-video {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -1;
}
nav{
    position: relative;
    z-index: 1;
    height: 13vh;
    width: 100vw;
    background-color:transparent;
    color: white;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid rgba(212,175,55,0.4);
}
nav h1{
    margin-left: 4vw;
    color: #D4AF37;
    font-family: 'Poppins', sans-serif;  
    font-size: 2.5rem; 
}


.nav-list{
    display: flex;
    gap: 88px;
    margin-right: 10vw;
    font-size: 1.2rem;
   
}
a{
    color: white;
    text-decoration: none;
}
nav a:hover{
    color: #D4AF37;
}
.main{
    position: relative;
    z-index: 1;
    height: 15vh;
    width: 29vw;
    margin-top: 24vh;
    margin-left: 15vw;
  
}
h2{
    font-size: 3rem;
    color: #D4AF37;
    

}
p{
  color: #D4AF37;
  margin-top: 2vh;
  font-size: 1rem;
}
button{
    padding: 9px;
    margin-top: 5vh;
    width: 10vw;
    font-size: 1rem;
    background-color: #D4AF37;
    border: none;
    cursor: pointer;
    border-radius: 5px;
}
button:hover{
  background-color: rgba(212,175,55,0.4);
    color:  #F4C542;
    transform: translateY(-2px);
}

#bg-video {
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    object-fit: cover;
    z-index: -1;
}

#mobile-video {
    display: none;
}



@media (max-width: 480px) {

    #desktop-video {
        display: none;
    }

    #mobile-video {
        display: block;
        position: fixed;
        top: 50%;
        left: 50%;
        width: 100vw;
        height: 100vh;
        object-fit: cover;
        object-position: center center;
        transform: translate(-50%, -50%);
        z-index: -1;
    }
}
@media (max-width: 480px) {

   

    #bg-video {
        display: none;
    }

    #mobile-video {
        display: block;
        position: fixed;
        top: 38%;
        left: 50%;
        width: 100%;
        height: 140%;
        object-fit: fill;
        transform: translate(-50%, -50%);
        z-index: -1;
    }


    nav {
        height: 60px;
        padding: 0 10px;
    }

    nav h1 {
        margin-left: 0;
        font-size: 1.5rem;
    }

    .nav-list {
        gap: 12px;
        margin-right: 0;
        font-size: 1rem;
    }

    .main {
        width: 80vw;
        height: auto;
        margin-top: 57vh;
        margin-left: 10vw;
    }

    h2 {
        font-size: 2rem;
    }

    p {
        margin-top: 10px;
        font-size: 0.85rem;
    }

    button {
        width: 30vw;
        padding: 8px;
        margin-top: 25px;
        font-size: 0.85rem;
    }
}

